com.hikvision.artemis.sdk.util

## 类 HttpUtils

- java.lang.Object
- - com.hikvision.artemis.sdk.util.HttpUtils

    public class HttpUtils
    extends Object

### 构造器概要

构造器
构造器和说明
`HttpUtils()`

### 方法概要

所有方法 静态方法 具体方法
`static org.apache.http.HttpResponse` `doDelete(String host, String path, String method, Map<String,String> headers, Map<String,String> querys)` Delete
`static org.apache.http.HttpResponse` `doGet(String host, String path, String method, Map<String,String> headers, Map<String,String> querys)` get
`static org.apache.http.HttpResponse` `doPost(String host, String path, String method, Map<String,String> headers, Map<String,String> querys, byte[] body)` Post stream
`static org.apache.http.HttpResponse` `doPost(String host, String path, String method, Map<String,String> headers, Map<String,String> querys, Map<String,String> bodys)` post form
`static org.apache.http.HttpResponse` `doPost(String host, String path, String method, Map<String,String> headers, Map<String,String> querys, String body)` Post String
`static org.apache.http.HttpResponse` `doPut(String host, String path, String method, Map<String,String> headers, Map<String,String> querys, byte[] body)` Put stream
`static org.apache.http.HttpResponse` `doPut(String host, String path, String method, Map<String,String> headers, Map<String,String> querys, String body)` Put String

### 从类继承的方法 java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### 构造器详细资料

#### HttpUtils

    public HttpUtils()

### 方法详细资料

#### doGet

    public static org.apache.http.HttpResponse doGet(String host,
                                                     String path,
                                                     String method,
                                                     Map<String,String> headers,
                                                     Map<String,String> querys)
                                              throws Exception

get

参数:
  `host` -
  `path` -
  `method` -
  `headers` -
  `querys` -
返回:
抛出:
  `Exception`

#### doPost

    public static org.apache.http.HttpResponse doPost(String host,
                                                      String path,
                                                      String method,
                                                      Map<String,String> headers,
                                                      Map<String,String> querys,
                                                      Map<String,String> bodys)
                                               throws Exception

post form

参数:
  `host` -
  `path` -
  `method` -
  `headers` -
  `querys` -
  `bodys` -
返回:
抛出:
  `Exception`

#### doPost

    public static org.apache.http.HttpResponse doPost(String host,
                                                      String path,
                                                      String method,
                                                      Map<String,String> headers,
                                                      Map<String,String> querys,
                                                      String body)
                                               throws Exception

Post String

参数:
  `host` -
  `path` -
  `method` -
  `headers` -
  `querys` -
  `body` -
返回:
抛出:
  `Exception`

#### doPost

    public static org.apache.http.HttpResponse doPost(String host,
                                                      String path,
                                                      String method,
                                                      Map<String,String> headers,
                                                      Map<String,String> querys,
                                                      byte[] body)
                                               throws Exception

Post stream

参数:
  `host` -
  `path` -
  `method` -
  `headers` -
  `querys` -
  `body` -
返回:
抛出:
  `Exception`

#### doPut

    public static org.apache.http.HttpResponse doPut(String host,
                                                     String path,
                                                     String method,
                                                     Map<String,String> headers,
                                                     Map<String,String> querys,
                                                     String body)
                                              throws Exception

Put String

参数:
  `host` -
  `path` -
  `method` -
  `headers` -
  `querys` -
  `body` -
返回:
抛出:
  `Exception`

#### doPut

    public static org.apache.http.HttpResponse doPut(String host,
                                                     String path,
                                                     String method,
                                                     Map<String,String> headers,
                                                     Map<String,String> querys,
                                                     byte[] body)
                                              throws Exception

Put stream

参数:
  `host` -
  `path` -
  `method` -
  `headers` -
  `querys` -
  `body` -
返回:
抛出:
  `Exception`

#### doDelete

    public static org.apache.http.HttpResponse doDelete(String host,
                                                        String path,
                                                        String method,
                                                        Map<String,String> headers,
                                                        Map<String,String> querys)
                                                 throws Exception

Delete

参数:
  `host` -
  `path` -
  `method` -
  `headers` -
  `querys` -
返回:
抛出:
  `Exception`